-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Chinese Cantonese TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Sin-Ji"
language = "Chinese (Cantonese)"
marc_code = "CHT"
language_id = "30"
id = "30002"
config_file = "cantonese_tts/config_tts.lua"
audio_files_path = "cantonese_tts/cantonese_tts"
rulesets_file = "cantonese_tts/cantonese_tts/rulesets_CAH.txt"
apdb = "apdb/sinji/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "您即將到達目的地",                                  -- You will reach your destination
    ["STOPOVER"] = "您即將到達中途站",                             -- You will reach a stopover
    ["JUNCTION"] = nil,                                        -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                   -- the junction
    ["ROUNDABOUT"] = "請在迴旋處第",                              -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "請從出口離開",                         -- take the exit
    ["UTURN"] = "調頭",                                         -- Make a uturn
    ["ENTER_HIGHWAY"] = "進入高速公路",
    ["LEAVE_HIGHWAY"] = "請從出口離開",                           -- take the exit
    ["CONTINUE_HIGHWAY"] = "請從出口離開",                        -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "進入高速公路",
    ["LEAVE_URBAN_HIGHWAY"] = "請從出口離開",                     -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "請從出口離開",
    ["DRIVE_TO_NEAREST_ROAD"] = "請駛向最近的車道",                -- drive to nearest road 
    ["FERRY"] = "請上渡輪"
}

maneuver_turns_car = {
    ["NO_TURN"] = "向前行駛",
    ["KEEP_MIDDLE"] = "請走中間路線",
    ["KEEP_RIGHT"] = "請保持右側行駛",
    ["LIGHT_RIGHT"] = "請稍微向右轉",
    ["QUITE_RIGHT"] = "向右轉",
    ["HEAVY_RIGHT"] = "請向右急轉",
    ["RETURN"] = "調頭",
    ["HEAVY_LEFT"] = "請向左急轉",
    ["QUITE_LEFT"] = "向左轉",
    ["LIGHT_LEFT"] = "請稍微向左轉",
    ["KEEP_LEFT"] = "保持左側行駛",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "向前行駛",
    ["KEEP_MIDDLE"] = "向前行駛",
    ["KEEP_RIGHT"] = "沿著街道右側行走",
    ["LIGHT_RIGHT"] = "請稍微向右轉",
    ["QUITE_RIGHT"] = "向右轉",
    ["HEAVY_RIGHT"] = "請向右急轉",
    ["RETURN"] = "調頭",
    ["HEAVY_LEFT"] = "請向左急轉",
    ["QUITE_LEFT"] = "向左轉",
    ["LIGHT_LEFT"] = "請稍微向左轉",
    ["KEEP_LEFT"] = "沿著街道左側行走",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "請穿過建築物",
    ["SQUARE"] = "請穿過廣場",
    ["PARK"] = "請穿過公園",
    ["STAIRS"] = "請使用樓梯",
    ["ELEVATOR"] = "進入電梯",
    ["ESCALATOR"] = "請使用樓梯"
}

final_command = {
    ["END"] = "您已經到達目的地",                      -- You have reached your destination
    ["STOPOVER"] = "您已經到達中途站"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"一個出口離開", "在第一條街道轉彎"},          -- take the first exit
    [2] = {"二個出口離開", "在第二條街道轉彎"},          -- take the second exit
    [3] = {"三個出口離開", "在第三條街道轉彎"},          -- take the third exit
    [4] = {"四個出口離開", "在第四條街道轉彎"},          -- take the fourth exit
    [5] = {"五個出口離開", "在第五條街道轉彎"},          -- take the fifth exit
    [6] = {"六個出口離開", "在第六條街道轉彎"},          -- take the sixth exit
    [7] = {"七個出口離開", "七個出口離開"},         -- take the seventh exit
    [8] = {"八個出口離開", "八個出口離開"},         -- take the eighth exit
    [9] = {"九個出口離開", "九個出口離開"},         -- take the ninth exit
    [10] = {"十個出口離開", "十個出口離開"},        -- take the tenth exit
    [11] = {"十一個出口離開", "十一個出口離開"},      -- take the eleventh exit
    [12] = {"十二個出口離開", "十二個出口離開"}       -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "英里",
    ["YARDS"] = "米",
    ["KILOMETER"] = "公里",
    ["FEET"] = "脚",
    ["METERS"] = "米",
    ["METER"] = "米",
    ["KILOMETERS"] = "公里",
    ["MILES"] = "英里",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "向北步行至",
    ["NORTH_EAST"] = "向東北步行至",
    ["EAST"] = "向東步行至",
    ["SOUTH_EAST"] = "向東南步行至",
    ["SOUTH"] = "向南步行至",
    ["SOUTH_WEST"] = "向西南步行至",
    ["WEST"] = "向西步行至",
    ["NORTH_WEST"] = "向西北步行至"
}

misc = { 
    ["gps_signal_lost_wav"] = "遺失GPS訊號",
    ["gps_signal_restored_wav"] = "GPS訊號連接已恢復",
 --   ["no_gps_signal_wav"] = "沒有GPS訊號",
    ["route_recalculation_wav"] = "重新計算路線",
    ["now_wav"] = "現在",
    ["end_of_street_wav"] = "在道路的終點",
    ["follow_motorway_wav"] = "沿著高速公路行駛",
    ["follow_road_wav"] = "繼續沿著前方道路行駛 ",
    ["after_wav"] = "之後",
    ["after_the_junction_wav"] = "經過路口後",
    ["half_a_mile_wav"] = "半",
    ["quarter_a_mile_wav"] = "四分之一",
    ["three_quarter_of_mile_wav"] = "三季度英國",
    ["immediately_wav"] = "立即",
    ["safety_camara_ahead_wav"] = "前方有安全攝影機",
    --["over_speed_limit_wav"] = "注意限速",
    ["traffic_automatic_detour_wav"] = "路線有交通堵塞， 請繞道行駛",
    ["traffic_manual_detour_wav"] = "路線有交通堵塞， 是否繞道行駛？",
    ["no_detour_possible"] = "無法找到避開交通堵塞的繞道",
    ["and_wav"] = "然後",
    ["and_then_wav"] = "然後",
    ["and_continue_on_wav"] = "然後繼續行駛在",
    ["and_continue_on_ped_wav"] = "然後繼續步行在",
    ["towards_wav"] = "至",
    ["towards_2_wav"] = "到",
    ["turn_wav"] = "转",
    ["onto_wav"] = "至",
    ["onto_ped_wav"] = "至",
    ["exit_wav"] = "離開",
    ["second_right_wav"] = "請從第二個路口右轉",
    ["second_left_wav"] = "請從第二個路口左轉",
    ["dot"] = "。",
    ["walk_right_roundabout_wav"] = "沿著迴旋處右側行走",
    ["walk_left_roundabout_wav"] = "沿著迴旋處左側行走",
    ["walk_roundabout_wav"] = "請環繞迴旋處行走",
    ["pause"] = "\\pause=50\\",
    ["on_dest_wav"] = "",
    ["on_stop_wav"] = "",
    ["on_2_wav"] = nil,
    ["the_footpath_wav"] = "進入小路"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


